Atom feed of this document
 
 
 

 4.2.3. List Database Instance Status and Details

VerbURIDescription
GET/instances/{instanceId}Lists status and details for a specified database instance.

Normal Response Code(s): 200

Error Response Code(s): badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), unprocessableEntity (422), instanceFault (500), notImplemented (501), serviceUnavailable (503), itemNotFound (404)

This operation lists the status and details of the specified database instance.

This operation lists the volume size in gigabytes (GB) and the approximate GB used.

[Note]Note

After instance creation, the used size of your volume will be greater than 0. This is expected and due to the automatic creation of non-empty transaction logs for mysql optimization. The used attribute is not returned in the response when the status for the instance is BUILD, REBOOT, RESIZE, or ERROR.

Refer to Section 3.9, “Database Instance Status” for a list of possible database instance statuses that may be returned.

The list operations return a DNS-resolvable hostname associated with the database instance instead of an IP address. Since the hostname always resolves to the correct IP address of the database instance, this relieves the user from the task of maintaining the mapping. Note that although the IP address may likely change on resizing, migrating, and so forth, the hostname always resolves to the correct database instance.

Table 4.4. List Database Instance Status and Details Request Parameters
NameStyleTypeDescription
accountIdTemplate​String

The account ID of the owner of the specified instance.

instanceIdTemplate​String

The instance ID for the specified database instance.

The following examples show the List Database Instance Status and Details requests:

 

Example 4.17. List Database Instance Status and Details Request: XML

GET /v1.0/1234/instances/9cccb45e-e15d-4bcc-aedc-61a4bf3e4ad9 HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/xml
Content-Type: application/xml



 

Example 4.18. List Database Instance Status and Details Request: JSON

GET /v1.0/1234/instances/9cccb45e-e15d-4bcc-aedc-61a4bf3e4ad9 HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/xml
Content-Type: application/xml



This operation does not require a request body.

The following examples show the List Database Instance Status and Details responses:

 

Example 4.19. List Database Instance Status and Details Response: XML

HTTP/1.1 200 OK
Content-Type: application/xml
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 747
Date: Wed, 08 May 2013 22:43:35 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)

<instance created="2013-05-08 22:43:34.487559" hostname="e09ad9a3f73309469cf1f43d11e79549caf9acf2.rackspaceclouddb.com" id="9cccb45e-e15d-4bcc-aedc-61a4bf3e4ad9" name="xml_rack_instance" status="ACTIVE" updated="2013-05-08 22:43:34.666211" xmlns="http://docs.openstack.org/database/api/v1.0">
    <links>
        <link href="https://ord.databases.api.rackspacecloud.com/v1.0/1234/instances/9cccb45e-e15d-4bcc-aedc-61a4bf3e4ad9" rel="self"/>
        <link href="https://ord.databases.api.rackspacecloud.com/instances/9cccb45e-e15d-4bcc-aedc-61a4bf3e4ad9" rel="bookmark"/>
    </links>
    <volume size="2" used="0.163685983978"/>
    <flavor id="1">
        <links>
            <link href="https://ord.databases.api.rackspacecloud.com/v1.0/1234/flavors/1" rel="self"/>
            <link href="https://ord.databases.api.rackspacecloud.com/flavors/1" rel="bookmark"/>
        </links>
    </flavor>
</instance>


 

Example 4.20. List Database Instance Status and Details Response: JSON

HTTP/1.1 200 OK
Content-Type: application/json
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 621
Date: Wed, 08 May 2013 22:43:35 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)

{
    "instance": {
        "created": "2013-05-08T22:43:34", 
        "flavor": {
            "id": "1", 
            "links": [
                {
                    "href": "https://ord.databases.api.rackspacecloud.com/v1.0/1234/flavors/1", 
                    "rel": "self"
                }, 
                {
                    "href": "https://ord.databases.api.rackspacecloud.com/flavors/1", 
                    "rel": "bookmark"
                }
            ]
        }, 
        "hostame": "e09ad9a3f73309469cf1f43d11e79549caf9acf2.rackspaceclouddb.com",
        "id": "dcc5c518-73c7-4471-83e1-15fae67a98eb", 
        "links": [
            {
                "href": "https://ord.databases.api.rackspacecloud.com/v1.0/1234/instances/dcc5c518-73c7-4471-83e1-15fae67a98eb", 
                "rel": "self"
            }, 
            {
                "href": "https://ord.databases.api.rackspacecloud.com/instances/dcc5c518-73c7-4471-83e1-15fae67a98eb", 
                "rel": "bookmark"
            }
        ], 
        "name": "json_rack_instance", 
        "status": "ACTIVE", 
        "updated": "2013-05-08T22:43:34", 
        "volume": {
            "size": 2, 
            "used": 0.16368598397821188
        }
    }
}